dns_result Struct Reference
dns: DNS Resolver Library

`#include <dns.h>`

## Data Fields

int | count
int | type
union dns_result_rrs | rr
void * | __buffer

## Detailed Description

DNS query results.

## Field Documentation

## __buffer

void* dns_result::__buffer

Internal use buffer pointer.

Referenced by dns_result_alloc(), and dns_result_free().

## count

int dns_result::count

The number of results present.

Referenced by dns_ip4_packet(), dns_ip6_packet(), dns_name4_r(), dns_name6_r(), dns_qualify(), dns_qualify_rules(), dns_result_alloc(), resolve_calldns(), resolve_ipv4name_n(), and resolve_qualdns().

## rr

union dns_result_rrs dns_result::rr

The individual record arrays.

Referenced by dns_ip4_packet(), dns_ip4_r(), dns_ip6_packet(), dns_ip6_r(), dns_name4_r(), dns_name6_r(), dns_result_alloc(), dns_result_free(), resolve_ipv4addr(), and resolve_ipv4name_n().

## type

int dns_result::type

The record type of the results.

Referenced by dns_result_alloc().

The documentation for this struct was generated from the following file:

- dns.h